<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../.resources/report.css" type="text/css"/><link rel="shortcut icon" href="../.resources/report.gif" type="image/gif"/><title>View.java</title><link rel="stylesheet" href="../.resources/prettify.css" type="text/css"/><script type="text/javascript" src="../.resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../.sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">JaCoCoverage analysis of project &quot;ATL-OTHELLO-Monir&quot; (powered by JaCoCo from EclEmma)</a> &gt; <a href="index.source.html" class="el_package">esi.atl.othello.monir.view</a> &gt; <span class="el_source">View.java</span></div><h1>View.java</h1><pre class="source lang-java linenums">package esi.atl.othello.monir.view;

import esi.atl.othello.monir.model.Board;
import esi.atl.othello.monir.model.Player;
import esi.atl.othello.monir.model.PlayerColor;
import java.util.Scanner;

/**
 *
 * @author actau
 */
public class View {

    private final Scanner in;

    /**
     * this method initialize the attribut Scanner in
     */
<span class="nc" id="L19">    public View() {</span>
<span class="nc" id="L20">        this.in = new Scanner(System.in);</span>
<span class="nc" id="L21">    }</span>

    /**
     * this method print a message in the begining
     */
    public void initialize() {
<span class="nc" id="L27">        System.out.println(&quot;Bienvenue au Jeux OTHELLO&quot;);</span>
<span class="nc" id="L28">    }</span>

    /**
     * this method print a player quit the game
     */
    public void quit() {
<span class="nc" id="L34">        System.out.println(&quot;Au revoir et Bonne Journée&quot;);</span>
<span class="nc" id="L35">    }</span>

    /**
     * this method print the message when we have an error
     *
     * @param message is a String
     */
    public void displayError(String message) {
<span class="nc" id="L43">        System.out.println(message);</span>
<span class="nc" id="L44">    }</span>

    /**
     * this method print the different option for the player
     */
    public void displayHelp() {
<span class="nc" id="L50">        System.out.println(&quot;Usage:&quot;);</span>
<span class="nc" id="L51">        System.out.println(&quot;        type Quit to quit the game.&quot;);</span>
<span class="nc" id="L52">        System.out.println(&quot;        type Help or ? to see the Menu&quot;);</span>
<span class="nc" id="L53">        System.out.println(&quot;        type show to show the board&quot;);</span>
<span class="nc" id="L54">        System.out.println(&quot;        type score to display the number of pieces black and white. &quot;);</span>
<span class="nc" id="L55">        System.out.println(&quot;        type play to add a piece in the board.&quot;);</span>
<span class="nc" id="L56">        System.out.println();</span>
<span class="nc" id="L57">    }</span>

    /**
     * this method ask one command of the user
     *
     * @return String the string write by the player.
     */
    public String askCommand() {
<span class="nc" id="L65">        System.out.print(&quot;\n&quot;);</span>
<span class="nc" id="L66">        System.out.println(&quot;Veuillez entrer une commande&quot;);</span>
<span class="nc" id="L67">        return in.nextLine();</span>
    }

    /**
     * this method print the board
     *
     * @param board
     */
    public void displayBoard(Board board) {
<span class="nc" id="L76">        String[] nameCol = {&quot;a&quot;, &quot;b&quot;, &quot;c&quot;, &quot;d&quot;, &quot;e&quot;, &quot;f&quot;, &quot;g&quot;, &quot;h&quot;};</span>
<span class="nc" id="L77">        System.out.print(&quot;&quot;);</span>
<span class="nc bnc" id="L78" title="All 2 branches missed.">        for (int i = 0; i &lt; board.getNB_COLUMN(); i++) {</span>
<span class="nc" id="L79">            System.out.print(&quot;  | &quot; + nameCol[i]);</span>
        }
<span class="nc" id="L81">        System.out.print(&quot;  |&quot;);</span>
<span class="nc" id="L82">        System.out.println();</span>
<span class="nc bnc" id="L83" title="All 2 branches missed.">        for (int k = 0; k &lt; board.getNB_COLUMN(); k++) {;</span>
<span class="nc" id="L84">            System.out.print(&quot;======&quot;);</span>
        }
<span class="nc" id="L86">        System.out.println();</span>
<span class="nc bnc" id="L87" title="All 2 branches missed.">        for (int i = 0; i &lt; board.getNB_ROW(); i++) {</span>
<span class="nc" id="L88">            System.out.print(i + &quot; |&quot;);</span>
<span class="nc bnc" id="L89" title="All 2 branches missed.">            for (int j = 0; j &lt; board.getNB_COLUMN(); j++) {</span>
<span class="nc bnc" id="L90" title="All 2 branches missed.">                if (board.getPieces()[i][j] == null) {</span>
<span class="nc" id="L91">                    System.out.print(&quot;    |&quot;);</span>
                } else {
<span class="nc bnc" id="L93" title="All 2 branches missed.">                    if (board.getPieces()[i][j].getColor() == PlayerColor.BLACK) {</span>
<span class="nc" id="L94">                        System.out.print(&quot; BL |&quot;);</span>
                    } else {
<span class="nc" id="L96">                        System.out.print(&quot; WH |&quot;);</span>
                    }
                }
            }
<span class="nc" id="L100">            System.out.println();</span>
        }
<span class="nc" id="L102">    }</span>

    public void displayValuesOfPlayers(int[] values,Player current,Player opponent) {
<span class="nc" id="L105">        System.out.println(&quot;The Value of &quot;+current.getColor()+&quot; is &quot; + values[0] + &quot;\n&quot;</span>
<span class="nc" id="L106">                + &quot;The value of &quot;+opponent.getColor()+&quot; is &quot; + values[1]);</span>
<span class="nc" id="L107">    }</span>

    public void displayCurrentPlayer(Player current) {
<span class="nc" id="L110">        System.out.println();</span>
<span class="nc bnc" id="L111" title="All 2 branches missed.">        if (current.getColor() == PlayerColor.BLACK) {</span>
<span class="nc" id="L112">            System.out.println(&quot;The current player is Black&quot;);</span>
        } else {
<span class="nc" id="L114">            System.out.println(&quot;The current player is White&quot;);</span>
        }
<span class="nc" id="L116">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.6.201602180812</span></div></body></html>